Bug 1402897 - python-os-brick package contains unit tests
Summary: python-os-brick package contains unit tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-os-brick
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 14:53 UTC by Eric Harney
Modified: 2017-05-17 19:50 UTC (History)
5 users (show)

Fixed In Version: python-os-brick-1.10.0-0.20170120195057.1a9b90b.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:50:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
RDO 4036 None None None 2016-12-08 16:33:08 UTC

Description Eric Harney 2016-12-08 14:53:30 UTC
python-os-brick contains unit tests in /usr/lib/python2.7/site-packages/os_brick/tests .

These should not be installed as part of the main python-os-brick package.

Comment 4 lkuchlan 2017-04-09 05:48:14 UTC
Tested using:
python-os-brick-1.11.0-1.el7ost.noarch

The unit test files are not in the RPM.

Comment 5 errata-xmlrpc 2017-05-17 19:50:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.